
Figure - Bug #118661
IOVDEV-33327【内部】【VC1】【0106】【台架】【EE环境】【副屏】【launcher】中控出厂化还原，副屏开
机动画播放完闪白屏后显示桌面
2023-06-08 16:17 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-08

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】：EE环境

【问题出现时间】：20230607 18:59，第215次开机

【前提条件】：副屏连接中控

【操作步骤】：中控出厂化还原

【实际结果】：副屏开机动画播放完闪白屏后显示桌面

【期望结果】 ：副屏开机动画播放完后显示桌面

【备注】：https://ofs.human-horizons.com/#/download/index/ARHVJoISFJ0%3D

【硬件版本号】：/

【副屏版本号】：01.00.0106.C104

【中控版本号】：03.02.0088.C103.02_userdebug_2306021732

【VIN】 HRYTTESTVINMGM403

History

#1 - 2023-06-08 20:32 - CD FW-程天颖

■ Current conclusion

已调查出原因

■ My analysis

06-02 08:10:46.229  2698  2698 D TcSetupStartActivity: onCreate finish: 0

跳过激活,恢复出厂设置时,provision的default activity弹出又关闭

■ Next action

修改代码,使激活后不再启用provision

#2 - 2023-06-08 20:33 - CD FW-程天颖

- Status changed from New to ASSIGNED

#3 - 2023-06-09 17:57 - CD FW-程天颖

■ Current conclusion

default activity被启用和禁用引起的白闪 

■ My analysis

没有根据激活状态进行判断,是否禁用provision
■ Next action

修改代码,激活状态未禁用Provision

#4 - 2023-06-24 17:23 - CD FW-廖涛

- Assignee changed from CD FW-程天颖 to CD FW-廖涛

#5 - 2023-07-11 19:12 - CD FW-廖涛

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

麻烦在 JIRA 上跟踪。

#6 - 2023-07-27 15:27 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

与37515同一问题

原因:

认证后进行factory reset因为数据被重置会导致Provision页面弹出，并在获取到正确状态后消失，造成瞬间闪白，而正常流程时会直接跳转到认证页，所以

不会影响。

解决方案：

对弹出的Provision页面进行了透明化处理。

#7 - 2023-07-27 15:28 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#8 - 2023-07-27 15:28 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

20230608-161619.mp4 3.93 MB 2023-06-08 CD TEST-方永红

tlog_iov0201017500006162025411a2212290000000771_000216_0607190237.tar.gz605 KB 2023-06-08 CD TEST-方永红
